MCP Tools Reference: servicehealth

Tool: list_project_events

Lists service health events for a given Google Cloud project.

  • parent (string, required): Parent value using the form projects/{project_id}/locations/global.
  • filter (string, optional): A filter expression that filters resources listed in the response. The expression takes the following forms:
    • field=value for category and state
    • field <, >, <=, or >= value for update_time
    • Examples: category=INCIDENT, update_time>=2000-01-01T11:30:00-04:00
    • Multiple filter queries are separated by spaces. Example: category=INCIDENT state=ACTIVE.
    • By default, each expression is an AND expression. However, you can include AND and OR expressions explicitly.
    • Filter is supported for the following fields: category, state, update_time
  • page_size (integer, optional): The maximum number of events that should be returned. Acceptable values are 1 to 100, inclusive. (The default value is 10.) If more results are available, the service returns a nextPageToken that you can use to get the next page of results in subsequent list requests. The service may return fewer events than the requested page_size.
  • page_token (string, optional): A page token received from a previous list_project_events call. Provide this to retrieve the subsequent page.

The following sample demonstrate how to use curl to invoke the list_project_events MCP tool.

Curl Request
                  
curl --location 'https://servicehealth.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_project_events",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Requests list of events.

ListEventsRequest

JSON representation
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string,
  "filter": string,
  "view": enum (EventView)
}
Fields
parent

string

Required. Parent value using the form projects/{project_id}/locations/{location}/events.

project_id - ID of the project for which to list service health events. location - The location to get the service health events from. Set this field to global.

pageSize

integer

Optional. The maximum number of events that should be returned. Acceptable values are 1 to 100, inclusive. (The default value is 10.) If more results are available, the service returns a next_page_token that you can use to get the next page of results in subsequent list requests. The service may return fewer events than the requested page_size.

pageToken

string

Optional. A token identifying a page of results the server should return. Provide Page token returned by a previous ListEvents call to retrieve the next page of results. When paginating, all other parameters provided to ListEvents must match the call that provided the page token.

filter

string

Optional. A filter expression that filters resources listed in the response. The expression takes the following forms:

  • field=value for category and state
  • field <, >, <=, or >= value for update_time

Examples: category=INCIDENT, update_time>="2000-01-01T11:30:00-04:00", event_impacts.product.product_name:"Eventarc"

Multiple filter queries are separated by spaces. Example: category=INCIDENT state=ACTIVE.

By default, each expression is an AND expression. However, you can include AND and OR expressions explicitly.

Filter is supported for the following fields: category, state, update_time, event_impacts.product.product_name

view

enum (EventView)

Optional. Event fields to include in response.

EventView

The event fields to include in ListEvents API response. This enum lists all possible event views.

Enums
EVENT_VIEW_UNSPECIFIED Unspecified event view. Default to EVENT_VIEW_BASIC.
EVENT_VIEW_BASIC Includes all fields except updates. This view is the default for ListEvents API.
EVENT_VIEW_FULL Includes all event fields.

Output Schema

Response to request for listing events.

ListEventsResponse

JSON representation
{
  "events": [
    {
      object (Event)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
events[]

object (Event)

Output only. List of events.

nextPageToken

string

Output only. The continuation token, used to page through large result sets. Provide this value in a subsequent request as page_token to retrieve the next page.

If this field is not present, there are no subsequent results.

unreachable[]

string

Output only. Locations that could not be reached.

Event

JSON representation
{
  "name": string,
  "title": string,
  "description": string,
  "category": enum (EventCategory),
  "detailedCategory": enum (DetailedCategory),
  "state": enum (State),
  "detailedState": enum (DetailedState),
  "eventImpacts": [
    {
      object (EventImpact)
    }
  ],
  "relevance": enum (Relevance),
  "updates": [
    {
      object (EventUpdate)
    }
  ],
  "parentEvent": string,
  "updateTime": string,
  "startTime": string,
  "endTime": string,
  "nextUpdateTime": string
}
Fields
name

string

Output only. Identifier. Name of the event. Unique name of the event in this scope including project and location using the form projects/{project_id}/locations/{location}/events/{event_id}.

title

string

Output only. Brief description for the event.

description

string

Output only. Free-form, human-readable description.

category

enum (EventCategory)

Output only. The category of the event.

detailedCategory

enum (DetailedCategory)

Output only. The detailed category of the event.

state

enum (State)

Output only. The current state of the event.

detailedState

enum (DetailedState)

Output only. The current detailed state of the incident.

eventImpacts[]

object (EventImpact)

Google Cloud products and locations impacted by the event.

relevance

enum (Relevance)

Output only. Communicates why a given event is deemed relevant in the context of a given project.

updates[]

object (EventUpdate)

Output only. Event updates are correspondence from Google.

parentEvent

string

Output only. When detailed_state=MERGED, parent_event contains the name of the parent event. All further updates will be published to the parent event.

updateTime

string (Timestamp format)

Output only. The time when the event was last modified.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

startTime

string (Timestamp format)

Output only. The start time of the event, if applicable.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

endTime

string (Timestamp format)

Output only. The end time of the event, if applicable.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

nextUpdateTime

string (Timestamp format)

Output only. The time when the next update can be expected.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

EventImpact

JSON representation
{
  "product": {
    object (Product)
  },
  "location": {
    object (Location)
  }
}
Fields
product

object (Product)

Google Cloud product impacted by the event.

location

object (Location)

Location impacted by the event.

Product

JSON representation
{
  "productName": string,
  "id": string
}
Fields
productName

string

Google Cloud product impacted by the event. Example: "Google Cloud SQL"

id

string

Unique identifier for the product.

Location

JSON representation
{
  "locationName": string
}
Fields
locationName

string

Location impacted by the event. Example: "us-central1"

EventUpdate

JSON representation
{
  "updateTime": string,
  "title": string,
  "description": string,
  "symptom": string,
  "workaround": string
}
Fields
updateTime

string (Timestamp format)

Output only. The time the update was posted.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

title

string

Output only. Brief title for the event.

description

string

Output only. Free-form, human-readable description.

symptom

string

Output only. Symptoms of the event, if available.

workaround

string

Output only. Workaround steps to remediate the event impact, if available.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

EventCategory

The category of the event. This enum lists all possible categories of event.

Enums
EVENT_CATEGORY_UNSPECIFIED Unspecified category.
INCIDENT Event category for service outage or degradation.

DetailedCategory

The detailed category of an event. Contains all possible states for all event categories.

Enums
DETAILED_CATEGORY_UNSPECIFIED Unspecified detailed category.
CONFIRMED_INCIDENT Indicates an event with category INCIDENT has a confirmed impact to at least one Google Cloud product.
EMERGING_INCIDENT Indicates an event with category INCIDENT is under investigation to determine if it has a confirmed impact on any Google Cloud products.

State

The state of the event. This enum lists all possible states of event.

Enums
STATE_UNSPECIFIED Unspecified state.
ACTIVE Event is actively affecting a Google Cloud product and will continue to receive updates.
CLOSED Event is no longer affecting the Google Cloud product or has been merged with another event.

DetailedState

The detailed state of the incident. This enum lists all possible detailed states of an incident.

Enums
DETAILED_STATE_UNSPECIFIED Unspecified detail state.
EMERGING Google engineers are actively investigating the event to determine the impact.
CONFIRMED The incident is confirmed and impacting at least one Google Cloud product. Ongoing status updates will be provided until it is resolved.
RESOLVED The incident is no longer affecting any Google Cloud product, and there will be no further updates.
MERGED The incident was merged into a parent incident. All further updates will be published to the parent only. The parent_event field contains the name of the parent.
AUTO_CLOSED

The incident was automatically closed because of the following reasons:

  • The impact of the incident could not be confirmed.
  • The incident was intermittent or resolved itself.

The incident does not have a resolution because no action or investigation happened. If it is intermittent, the incident may reopen.

FALSE_POSITIVE Upon investigation, Google engineers concluded that the incident is not affecting a Google Cloud product. This state can change if the incident is reviewed again.

Relevance

Communicates why a given incident is deemed relevant in the context of a given project. This enum lists all possible detailed states of relevance.

Enums
RELEVANCE_UNSPECIFIED Unspecified relevance.
UNKNOWN The relevance of the incident to the project is unknown.
NOT_IMPACTED The incident does not impact the project.
RELATED The incident has a direct connection with your project and impacts a Google Cloud product in a location your project uses.
IMPACTED The incident is verified to be impacting your project.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌